---
title: EventTarget()
slug: Web/API/EventTarget/EventTarget
tags:
  - API
  - Constructor
  - DOM
  - DOM Events
  - EventTarget
---
<div>{{APIRef("DOM Events")}}</div>

<p>The <code><strong>EventTarget()</strong></code> constructor creates a new {{domxref("EventTarget")}} object instance.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>myEventTarget</var> = new EventTarget();</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>An instance of the {{domxref("EventTarget")}} object.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js notranslate" id="ct-20">class MyEventTarget extends EventTarget {
  constructor(mySecret) {
    super();
    this._secret = mySecret;
  }

  get secret() { return this._secret; }
};

let myEventTarget = new MyEventTarget(5);
let value = myEventTarget.secret;  // == 5
myEventTarget.addEventListener("foo", function(e) {
  this._secret = e.detail;
});

let event = new CustomEvent("foo", { detail: 7 });
myEventTarget.dispatchEvent(event);
let newValue = myEventTarget.secret; // == 7</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-eventtarget-eventtarget', 'EventTarget() constructor')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.EventTarget.EventTarget")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("EventTarget")}}</li>
</ul>
